*Purpose: Create formats for pls_state_pud17i;


proc format lib=work;
value $OBERGF
'01'	=	'01-New England (CT ME MA NH RI VT)'
'02'	=	'02-Mid East (DE DC MD NJ NY PA)'
'03'	=	'03-Great Lakes (IL IN MI OH WI)'
'04'	=	'04-Plains (IA KS MN MO NE ND SD)'
'05'	=	'05-Southeast (AL AR FL GA KY LA MS NC SC TN VA WV)'
'06'	=	'06-Southwest (AZ NM OK TX)'
'07'	=	'07-Rocky Mountains (CO ID MT UT WY)'
'08'	=	'08-Far West (AK CA HI NV OR WA)'
'09'	=	'09-Outlying Areas (AS GU MP PR VI)'
;
value MISS1F
-1	=	'-1-Missing'
;
value $MISSMF
'M'	=	'Missing'
;
value STFF
-1	=	'-1-Missing'
other = [9.2]
;
value TOTSTFF
-1	=	'-1-Missing'
other = [10.2]
;
value SUPF
-1	=	'-1-Missing'
-9  =	'-9-Suppressed to protect confidentiality'
;
value $IMPF
'R_17'	=	'R_17-All detail comprising total is reported data'
'IF17'	=	'IF17-Some detail comprising total is imputed data'
'IA17'	=	'IA17-All detail comprising total is imputed data'
'U_17'	=	'U_17-No imputation done - outlying area'
'H_17'	=	'H_17-Total is suppressed'
;
run;
